%Copyright (c) 2010, Luuk J.G.W. van Wilderen
%
%load_calibration.m

function load_calibration

%Defined here
global calibfilename calib_waves

calib_waves=[];
[calibFileName,calibPathName] = uigetfile('*.dat','Select calibration file');


calibfilename=strcat(calibPathName,calibFileName);
if length(calibfilename)<97
    set(findobj('Tag','calibfilename_text'),'Visible','on','String',['Calibration file: ' calibfilename]);
elseif length(calibfilename)>96
    set(findobj('Tag','calibfilename_text'),'Visible','on','String',['Calibration file: ' calibfilename(end-96:end)]);
end
calib_waves=load (calibfilename);